<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
<meta http-equiv='Content-Type' content='text/html; charset=UTF-8' />
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="stylesheet"
	th:href="@{/bootstrap-5.1.3-dist/css/bootstrap.min.css}">
	
	<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.2.0/css/all.min.css"
    integrity="sha512-xh6O/CkQoPOWDdYTDqeRdPCVd1SpvCA9XXcUnZS2FmJNp1coAFzvtCN9BmamE+4aHK8yyUHUSCcJHgXloTyT2A=="
    crossorigin="anonymous" referrerpolicy="no-referrer" />
    
<script th:src="@{/jquery-3.6.0-dist/jquery-3.6.0.min.js}"></script>
<script th:src="@{/bootstrap-5.1.3-dist/js/bootstrap.min.js}"></script>


<title>Index</title>
<style>
.mensagem {
	color: red;
}
</style>

</head>
<body>

	<div class="container">
		<div class="row" style="padding-bottom: 30px;">
			<div class="col">
				<h2>Cadastro estudante</h2>
				<a th:href="@{/}" class="btn btn-primary">Voltar</a>
				<div class="alert alert-success alert-dismissible fade show"
					th:if="${mensagem}">
					<button type="button" class="btn-close" data-bs-dismiss="alert"></button>
					<span th:text="${mensagem}"></span>
				</div>
				<form th:action="@{/gravar}" th:object="${novoEstudante}" method="post">

					<div class="row mb-3">
						<label class="col-sm-1 col-form-label">Nome:</label>
						<div class="col-sm-5">
							<input class="form-control" type="text" th:field="*{nome}">
						</div>	
						<div class="col-sm-5">
							<span class="mensagem" th:if="${#fields.hasErrors('nome')}"
								th:errors="*{nome}"></span>
						</div>					
					</div>

					<div class="row mb-3">
						<label class="col-sm-1 col-form-label">Idade:</label>
						<div class="col-sm-5">
							<input class="form-control" type="text" th:field="*{idade}">
						</div>
						<div class="col-sm-5">
							<span class="mensagem" th:if="${#fields.hasErrors('idade')}"
								th:errors="*{idade}"></span>
						</div>						
					</div>
					
					<div class="row mb-3">
						<label class="col-sm-1 col-form-label">Habilidades:</label>
						<div class="col-sm-12">
							<th:block th:each="hab : ${todasHabilidades}">
							<input type="checkbox" name="habilidades"				            
					            th:text="${hab.descricao}"
					            th:value="${hab.id}"
					            th:field="*{habilidades}"/><br/>
					    	</th:block>
						</div>
					</div>

					<input class="btn btn-primary" type="submit" value="Gravar" />
				</form>
			</div>
		</div>
	</div>
</body>
</html>